cURL
curl --request GET \
--url https://web-scraping-api2.p.rapidapi.com/get-job-details \
--header 'x-rapidapi-key: <api-key>'import requests
url = "https://web-scraping-api2.p.rapidapi.com/get-job-details"
headers = {"x-rapidapi-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-rapidapi-key': '<api-key>'}};
fetch('https://web-scraping-api2.p.rapidapi.com/get-job-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"company_description": "Building a Healthier Future...",
"company_id": "18940375",
"company_linkedin_url": "https://www.linkedin.com/company/ossiumhealth",
"company_name": "Ossium Health",
"company_public_id": "ossiumhealth",
"employee_count": 87,
"employee_range": "51 - 200",
"experience_level": "Mid-Senior level",
"follower_count": 1969,
"hq_address_line1": "80 Tehama St",
"hq_city": "San Francisco",
"hq_country": "US",
"hq_full_address": "80 Tehama St, San Francisco, California 94105, US",
"hq_postalcode": "94105",
"hq_region": "California",
"industries": [
"Biotechnology Research"
],
"job_description": "Ossium’s mission is to improve the health...",
"job_id": "3690897280",
"job_location": "San Francisco Bay Area",
"job_title": "Business Strategist",
"job_type": "Full-time",
"job_url": "https://www.linkedin.com/jobs/view/3690897280/",
"remote_allow": false,
"salary_details": {
"compensation_type": "BASE_SALARY",
"currency_code": "USD",
"max_salary": 186000,
"min_salary": 108500,
"pay_period": "YEARLY"
},
"salary_display": "USD108500.0/yr - USD186000.0/yr",
"skills": [
"Biotechnology",
"Business Development",
"Communication"
],
"specialities": [
"Bone marrow banking",
"Cryopreservation",
"Stem cell therapy"
]
},
"message": "ok"
}{
"data": null,
"message": "Bad request: Invalid linkedin_url."
}{
"data": null,
"message": "The url was not found on Linkedin."
}{
"data": null,
"message": "System error. We will fix it soon!"
}Job Search
Get Job Details
-
Scrape the full job details, including the company basic information.
-
1 credit per call.
GET
/
get-job-details
cURL
Authorizations
Query Parameters
The URL of the job listing.
Example:
"https://www.linkedin.com/jobs/view/3766410207/"
Available options:
true, false Example:
"false"
Available options:
true, false Example:
"false"
⌘I
